Unable to build the image target that contains all Qt5 packages

Hello Sir/Madam,

I want to build the HMI using Qt for Apalis Evaluation Test Board V1.1A , SoM: Apalis iMX6 Quad 2GB.
I am following the link as mentioned below:

  1. Getting Started with Qt
  2. Qt Creator to cross compile - Embedded Linux

Following to build with Open Embedded layers. But while building the image target that contains all Qt5 packages

build] $ bitbake -k angstrom-qt5-x11-image

The error is mentioned below

user@BLTSP01121B:~/oe-core/build$ bitbake -k angstrom-qt5-x11-image
Loading cache: 100% |#####################################################################################################################################| Time: 0:00:00
Loaded 4243 entries from dependency cache.
**ERROR: Nothing PROVIDES 'angstrom-qt5-x11-image'. Close matches:
  qt5-x11-image**
NOTE: Resolving any missing task queue dependencies

Request your assistance for the same

**Build Configuration:**
BB_VERSION           = "1.40.0"
BUILD_SYS            = "x86_64-linux"
NATIVELSBSTRING      = "universal"
TARGET_SYS           = "arm-tdx-linux-gnueabi"
MACHINE              = "apalis-imx6"
DISTRO               = "tdx-x11"
DISTRO_VERSION       = "2.6-snapshot-20190807"
TUNE_FEATURES        = "arm armv7a vfp thumb neon callconvention-hard"
TARGET_FPU           = "hard"
meta-toradex-nxp     = "HEAD:cf24e18cc50c2f0cab6b44fd3f03fa39cfca4e9f"
meta-freescale       = "HEAD:b73854c078b0a174613135b60da3377a1055f477"
meta-freescale-3rdparty = "HEAD:c4b5ac6b20e4245ce0630e9197313aaef999a331"
meta-toradex-tegra   = "HEAD:057c3d173949d803c150ffe14338554845fec63c"
meta-toradex-bsp-common = "HEAD:3fa96f28bb30643cac3b8a49d3abd7c976acb704"
meta-oe              
meta-filesystems     
meta-gnome           
meta-xfce            
meta-initramfs       
meta-networking      
meta-multimedia      
meta-python          = "HEAD:9b3b907f30b0d5b92d58c7e68289184fda733d3e"
meta-lxde            = "HEAD:91516dbc14d41613367a75048fbabaf78f3b1a12"
meta-browser         = "HEAD:6386d9aff52adba2c12a83a631355559b394d05e"
meta-qt5             = "HEAD:81937713f774d7dea854b22987b3ef1ab1f1cdbe"
meta-qt5-extra       = "HEAD:641aabf595c78702d16c99d1191a4ac655472ff8"
meta-rust            = "HEAD:0621067c560f6e3e1a4c4c08ac173393bbafad5c"
meta-freescale-distro = "HEAD:4a244af3993ae662624c6f615464e6806cc719a2"
meta-toradex-demos   = "HEAD:5f15f53ed7022e7cadd4b9bfb199d4bc2e66c0db"
meta-toradex-distro  = "HEAD:ba6db37ece74e40c20b8519d4a69a721dd2bf723"
meta-poky            = "HEAD:b36886d9c06961420169842faeb060a31078f6e9"
meta                 = "HEAD:f162d5bfe6eaeca24f441c83c87252c8d05744fc"

Thank you in advance

Hi @amar

I imagine you are compiling the branch LinuxImage3.0, which is based on poky and not more on Angstrom. That’s why you are getting the error above.

We will soon update the QT creator article and write the correct command for compilation which is the following:

bitbake -k qt5-x11-image

Best regards,
Jaski

Hi @jaski.tx ,
Thank you for the feedback, good day ahead

Regards,
Amar V

You are welcome.
Have a nice day too.

Best regards,
Jaski